Retrieves the article stock location list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
article_stock_location_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_stock_location_id |
Foreign key of the article_stock_location |
globally unique identifier |
Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided |
| article_stock_location_reference_back_office | string |
Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided |
|
| article_stock_location |
Embedded entity "article_stock_location" using ERP PK when adding/updating |
article_stock_location |
Optionally required : article_stock_location_id,article_stock_location_reference_back_office or article_stock_location must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| quantity |
Quantity in stock for this article, for this stock |
integer |
Required |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sys_computed_eco_stock |
Quantity in stock computed for the article after all stock movements (Read-only) |
decimal number | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "b0ae2da3-bde5-48d2-8028-48862f3f4f56",
"article_stock_location_id": "1e368e6a-401b-466f-a8eb-ec26d45eb697",
"article_stock_location_reference_back_office": "sample string 3",
"article_id": "5c90a57b-34e1-4c6a-871d-b754f9dfc539",
"article_code": "sample string 5",
"quantity": 6,
"reference_back_office": "sample string 7",
"sys_computed_eco_stock": 8.0,
"modified_dateutc": "2026-08-19T18:10:06.5208393+00:00"
}